QuantLib: BlackScholesMertonProcess Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
BlackScholesMertonProcess Class Reference
Stochastic processes

Merton (1973) extension to the Black-Scholes stochastic process. More...

`#include <ql/processes/blackscholesprocess.hpp>`

Inheritance diagram for BlackScholesMertonProcess:
[legend]

## Public Member Functions
| BlackScholesMertonProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization), bool forceDiscretization=false)
Public Member Functions inherited from GeneralizedBlackScholesProcess
| GeneralizedBlackScholesProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization), bool forceDiscretization=false)
| GeneralizedBlackScholesProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const Handle< LocalVolTermStructure > &localVolTS)
Time | time (const Date &) const
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
Real | diffusion (Time t, Real x) const
Real | apply (Real x0, Real dx) const
Real | expectation (Time t0, Real x0, Time dt) const
Real | stdDeviation (Time t0, Real x0, Time dt) const
Real | variance (Time t0, Real x0, Time dt) const
Real | evolve (Time t0, Real x0, Time dt, Real dw) const
void | update ()
const Handle< Quote > & | stateVariable () const
const Handle< YieldTermStructure > & | dividendYield () const
const Handle< YieldTermStructure > & | riskFreeRate () const
const Handle< BlackVolTermStructure > & | blackVolatility () const
const Handle< LocalVolTermStructure > & | localVolatility () const
1-D stochastic process interface
Public Member Functions inherited from StochasticProcess
virtual Size | factors () const
| returns the number of independent factors of the process
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from StochasticProcess1D
| StochasticProcess1D (const boost::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess
| StochasticProcess (const boost::shared_ptr< discretization > &)
Protected Attributes inherited from StochasticProcess1D
boost::shared_ptr< discretization > | discretization_
Protected Attributes inherited from StochasticProcess
boost::shared_ptr< discretization > | discretization_

## Detailed Description

Merton (1973) extension to the Black-Scholes stochastic process.

This class describes the stochastic process ln(S) for a stock or stock index paying a continuous dividend yield given by

\[ d\ln S(t, S) = (r(t) - q(t) - \frac{\sigma(t, S)^2}{2}) dt + \sigma dW_t. \]

Examples:
  ConvertibleBonds.cpp, DiscreteHedging.cpp, and EquityOption.cpp.